import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qyuota/config/colors.dart';
import 'package:qyuota/config/text_style.dart';

class PrivacyPolicyScreen extends StatefulWidget {
  const PrivacyPolicyScreen({super.key});

  @override
  State<PrivacyPolicyScreen> createState() => _PrivacyPolicyScreenState();
}

class _PrivacyPolicyScreenState extends State<PrivacyPolicyScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        alignment: Alignment.bottomCenter,
        children: [
          Column(
            children: [
              Expanded(
                child: Container(
                  color: ConstColors.primaryColor,
                  child: Column(
                    children: [
                      SizedBox(height: MediaQuery.of(context).padding.top + 15),
                      Padding(
                        padding: const EdgeInsets.only(left: 20, right: 20),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: [
                            InkWell(
                              onTap: () {
                                Navigator.pop(context);
                              },
                              child: const Icon(
                                Icons.arrow_back,
                                color: ConstColors.whiteColor,
                              ),
                            ),
                            Text(
                              "Privacy Policy",
                              style: pSemiBold18.copyWith(
                                fontSize: 20,
                                color: ConstColors.whiteColor,
                              ),
                            ),
                            const Icon(
                              Icons.arrow_back,
                              color: Colors.transparent,
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ),
            ],
          ),
          Container(
            height: Get.height - 100,
            width: Get.width,
            decoration: const BoxDecoration(
              borderRadius: BorderRadius.only(
                topLeft: Radius.circular(30),
                topRight: Radius.circular(30),
              ),
              color: ConstColors.whiteColor,
            ),
            child: ListView(
              padding: EdgeInsets.zero,
              physics: const ClampingScrollPhysics(),
              children: [
                Padding(
                  padding: const EdgeInsets.all(20.0),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        "1. Introduction",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "Welcome to qyuota.",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "qyuota (“us”, “we”, or “our”) operates qyuota.com\n(hereinafter referred to as “Service”).",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "Our Privacy Policy governs your visit to\nqyuota.com, and explains how we collect,\nsafeguard and disclose information that results\nfrom your use of our Service.",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "We use your data to provide and improve Service. By using\nService, you agree to the\ncollection and use of information in accordance\nwith this policy. Unless otherwise defined in this Privacy Policy, the terms used in this Privacy\nPolicy have the same meanings as in our Terms\nand Conditions.",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "1. Introduction",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "Our Terms and Conditions (“Terms”) govern all\nuse of our Service and together with the Privacy\nPolicy constitutes your agreement with us\n(“agreement”).",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "2. Definitions",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "SERVICE means the qyuota.com website\noperated by qyuota.",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "2. Definitions",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "PERSONAL DATA means data about a living\nindividual who can be identified from those data\n(or from those and other information either in our\npossession or likely to come into our\npossession).",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 15),
                      Text(
                        "USAGE DATA is data collected automatically",
                        style: pRegular14.copyWith(
                          color: const Color(0xff4E568C),
                          height: 1.4,
                        ),
                      ),
                      const SizedBox(height: 20),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
